> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Entity Definition

> Create a new custom entity definition



## OpenAPI

````yaml post /custom_entity_definition
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /custom_entity_definition:
    post:
      tags:
        - Custom Entity Definition
      summary: Create Custom Entity Definition
      description: Create a new custom entity definition
      parameters:
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/custom_entity_definition'
        description: custom_entity_definition
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_entity_definition'
          description: The updated Custom Entity Definition object
        '201':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/custom_entity_definition'
                    title: Custom Entity Definition
                  - title: Empty
                    type: object
                    properties: {}
          description: The Custom Entity Definition was created
        '204':
          content: {}
          description: No Content
components:
  schemas:
    custom_entity_definition:
      type: object
      properties:
        id:
          type: string
          description: Custom entity definition ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        key:
          type: string
          description: Unique key for the custom entity definition
          format: text
        name:
          type: string
          description: Name of the custom entity definition
          format: text
        schema:
          type: object
          description: JSON Schema defining the custom entity data structure
          format: jsonb
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````